Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.gui.border
Class ImageBevelBorder.UIResource

    java.lang.Object
      org.monte.media.gui.border.ImageBevelBorder
          org.monte.media.gui.border.ImageBevelBorder.UIResource

All Implemented Interfaces:
  javax.swing.border.Border, javax.swing.plaf.UIResource

Enclosing class:
  ImageBevelBorder

    public static class ImageBevelBorder.UIResource

extends ImageBevelBorder
implements javax.swing.plaf.UIResource

Nested Class Summary

Nested classes/interfaces inherited from class org.monte.media.gui.border.ImageBevelBorder
`ImageBevelBorder.UIResource`

Constructor Summary
`ImageBevelBorder.UIResource(java.awt.Image img, java.awt.Insets borderInsets)`
`ImageBevelBorder.UIResource(java.awt.Image img, java.awt.Insets imageInsets, java.awt.Insets borderInsets)`
`ImageBevelBorder.UIResource(java.awt.Image img, java.awt.Insets imageInsets, java.awt.Insets borderInsets, boolean fillContentArea)`

Method Summary

Methods inherited from class org.monte.media.gui.border.ImageBevelBorder
`getBorderInsets, isBorderOpaque, paintBorder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageBevelBorder.UIResource

    public ImageBevelBorder.UIResource(java.awt.Image img,
                                       java.awt.Insets borderInsets)

### ImageBevelBorder.UIResource

    public ImageBevelBorder.UIResource(java.awt.Image img,
                                       java.awt.Insets imageInsets,
                                       java.awt.Insets borderInsets)

### ImageBevelBorder.UIResource

    public ImageBevelBorder.UIResource(java.awt.Image img,
                                       java.awt.Insets imageInsets,
                                       java.awt.Insets borderInsets,
                                       boolean fillContentArea)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD